FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 11-23-2008, 09:32 PM
"Luke Kenneth Casson Leighton"
 
Default #501774 - where should the library source go?

On Sun, Nov 23, 2008 at 10:03 PM, Thomas Viehmann <tv@beamnet.de> wrote:
> Hi Luke,

hiya thomas.

> Luke Kenneth Casson Leighton wrote:

>> * build.py would be... ohh... perhaps something like... autoconf.
> Not more like make?

.... *hand-waving*

>I never called pyjs directly.

me only for _really_ obscure stuff / demo purposes.

>> my question, therefore, is: where in hell's name should these files
>> be installed????

>> * pyjs.py is obvious: it goes into /usr/bin/pyjs.py
> I wouldn't unless one needs to call it directly. Also, lose the .py for
> stuff in /usr/bin

ack.

>> * pyjslib.py i have absolutely NO clue about.
>> /usr/share/pyjamas/library/pyjslib.py ?
>> /usr/lib/pyjs/library/pyjslib.py ?
>> * DOM.py and ui.py etc. i have NO clue.
>> /usr/share/pyjamas/library/pyjamas/DOM.py ui.py Window.py etc. ?
>> /usr/lib/pyjs/pyjamas/DOM.py ?
> These (both "*"s) should all go somewhere under /usr/share/pyjamas.
> share vs. lib is whether the files are *arch*-dependent, which they are not.

oh, is that what the difference is?

>> that being the case, someone needs to "invent" a standard location
>> where all libraries contained as part of the pyjamas "package", and
>> all FUTURE libraries which depend, in future, on the pyjamas compiler,
>> are to be installed.
>
> Well, the question I'd have is whether pyjamas really is stable enough
> to go into unstable.

suuure as stable as can be, with MS changing the bloody
user-agent string in IE7.

well if FreeBSD can turn 0.3 into a release, then what the heck. but
yes - there has to be a 0.3.1 release before pyjamas can be packaged:
the recent change in the IE user-agent string from "MSIE 7" to "MSIE7"
causes pyjamas 0.3 to fallback to "old mozilla" which is a bit of a
screw-up.

>> can anyone come up with any good ideas?
>
> For the most part, you seem to have figured it all out already.

random guesses ha ha

thanks for the kicks in the right direction.

l.


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 09:33 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org